# RedirectFetchException (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.fetcher

## Class RedirectFetchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - crawlercommons.fetcher.BaseFetchException
      - - crawlercommons.fetcher.RedirectFetchException

All Implemented Interfaces:
  Serializable

    public class RedirectFetchException
    extends BaseFetchException

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `RedirectFetchException.RedirectExceptionReason`

### Constructor Summary

Constructors
Constructor and Description
`RedirectFetchException()`
`RedirectFetchException(String url, String redirectedUrl, RedirectFetchException.RedirectExceptionReason reason)`

### Method Summary

Methods
`RedirectFetchException.RedirectExceptionReason` `getReason()`
`String` `getRedirectedUrl()`

### Methods inherited from class crawlercommons.fetcher.BaseFetchException

`compareToBase, equals, getCause, getLocalizedMessage, getMessage, getStackTrace, getUrl, hashCode, initCause, printStackTrace, printStackTrace, printStackTrace, readBaseFields, setStackTrace, toString, writeBaseFields`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getSuppressed`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RedirectFetchException

    public RedirectFetchException()

#### RedirectFetchException

    public RedirectFetchException(String url,
                          String redirectedUrl,
                          RedirectFetchException.RedirectExceptionReason reason)

### Method Detail

#### getRedirectedUrl

    public String getRedirectedUrl()

#### getReason

    public RedirectFetchException.RedirectExceptionReason getReason()